/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.samples.gcrud;

import java.util.List;

/**
 * レコードの一覧情報を表します。
 * @author nakamura
 *
 */
public class ListInfo {
	private String tableName;
	private List<SingleColumnInfo> columnNameList;
	private List<SingleRowInfo> rowList;
	
	public String getTableName() {
		return tableName;
	}
	public void setTableName(final String tableName) {
		this.tableName = tableName;
	}
	public List<SingleColumnInfo> getColumnNameList() {
		return columnNameList;
	}
	public void setColumnNameList(final List<SingleColumnInfo> columnNameList) {
		this.columnNameList = columnNameList;
	}
	public List<SingleRowInfo> getRowList() {
		return rowList;
	}
	public void setRowList(final List<SingleRowInfo> rowList) {
		this.rowList = rowList;
	}
}
